<!DOCTYPE html>
{% load static %}
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.css">
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <title>Story6Andin</title>
</head>

<body class="background">
<br>
<div class="container-fluid" style="align-content: center; align-items: center; align-self: center;">
    <h3 class="top_title textcolour" style="text-align: center;">
        NABILASEKARANDINI
    </h3>

    <div class="textcolour" style="font-family: Montserrat Regular; font-size: 2vh; text-align: center;">
        Theme Change
        <div>
            <button class="btn btn-light" name="lightmode" onclick="changeThemeLight()">Light Mode</button>
            <button class="btn btn-dark" name="darkmode" onclick="changeThemeDark()">Dark Mode</button>
        </div>
    </div>
</div>

<br>
<br>

<div class="container">
    <button class="accordion textcolour">Current Activities</button>
    <div class="panel">
        <p class="textcolour">College stuffs, hobbies</p>
    </div>

    <button class="accordion textcolour">Experiences</button>
    <div class="panel">
        <p class="textcolour">Quite a few</p>
    </div>

    <button class="accordion textcolour">Achievements</button>
    <div class="panel">
        <p class="textcolour">Won some giveaways</p>
    </div>
</div>

<br>
<br>

<div>
    <div class="container textcolour" style="text-align: center;">
        <div class="row">
            <div class="col-sm-3"></div>
            <div class="col-sm-6">
                <form class="box" action="" method="post">
                    {% csrf_token %}
                    <h1>Hi, how are you feeling?</h1>
                    {% for status in form %}
                    <div class="form-group">
                        {{ status }}
                    </div>
                    {% endfor %}
                    <button type="submit" id = "submit">Submit</button>
                </form>
            </div>
            <div class="col-sm-3"></div>
        </div>
        <br>
        <br>
        <div class="row justify-content-center">
            <div class="col-sm-3"></div>
            <div class="col-sm-6">
                <h3>Status</h3>
                {% for i in status %}
                <p>{{ i.status }} <br>
                    {{ i.date }}
                </p>
                {% endfor %}
            </div>
            <div class="col-sm-3"></div>
        </div>
    </div>
</div>

<script>
            $( function() {
                $( "#accordion" ).accordion();
            } );

            function changeThemeLight(){
                $('.background').css('background-image', 'url("{% static '/images/background_light.jpg' %}")');
                $('.textcolour').css('color', '#0f0f22');
                $('.accordion').css('background-color', '#f1f1f1');
                $('.panel').css('background-color', '#f1f1f1');
            }

            function changeThemeDark(){
                $('.background').css('background-image', 'url("{% static '/images/background_dark.jpg' %}")');
                $('.textcolour').css('color', 'white');
                $('.accordion').css('background-color', '#292929');
                $('.accrodion').css('color', 'white');
                $('.panel').css('background-color', '#292929');
            }
        </script>

<script>
            var acc = document.getElementsByClassName("accordion");
            var i;

            for (i = 0; i < acc.length; i++) {
                acc[i].addEventListener("click", function() {
                    this.classList.toggle("active");
                    var panel = this.nextElementSibling;
                    if (panel.style.display === "block") {
                        panel.style.display = "none";
                    } else {
                        panel.style.display = "block";
                    }
                });
            }
        </script>
</body>

<footer>
    <br>
    <br>
    <div>
        <p style="text-align: center;">story6&story7</p>
    </div>
</footer>
</html>
